#!/bin/sh

BASEDIR=$1
APPDIR=$BASEDIR/application
DBDIR=$BASEDIR/mysql
USER=$2
GROUP=$2
DBNAME=$2
DBUSER=$2
DBUSER_PASS=$2
PORT_SHUTDOWN=$3
PORT_CONNECTOR=$4
PORT_SSL=$5
PORT_SERVICE=$6
PORT_DB=$7

if [ ! -d $BASEDIR -o ! -d $APPDIR -o ! -d $DBDIR ]; then
    exit 1
fi

awk -f $APPDIR/bin/shoveld.awk $APPDIR/bin/shoveld.org $APPDIR/bin/shoveld $BASEDIR $USER
chown $USER:$GROUP $APPDIR/bin/shoveld

awk -f $APPDIR/bin/initsql.awk $APPDIR/bin/init.sql.org $APPDIR/bin/init.sql $DBNAME $DBUSER $DBUSER_PASS
chown $USER:$GROUP $APPDIR/bin/init.sql

awk -f $APPDIR/bin/bootsh.awk $APPDIR/bin/boot.sh.org $APPDIR/bin/boot.sh $BASEDIR $USER
chown $USER:$GROUP $APPDIR/bin/boot.sh

awk -f $APPDIR/conf/server.awk $APPDIR/conf/server.xml.org $APPDIR/conf/server.xml $PORT_SHUTDOWN $PORT_CONNECTOR $PORT_SSL $PORT_SERVICE $BASEIDR
chown $USER:$GROUP $APPDIR/conf/server.xml

awk -f $APPDIR/bin/bootsh.awk $APPDIR/bin/boot.sh.org $APPDIR/bin/boot.sh $BASEDIR $USER
chown $USER:$GROUP $APPDIR/bin/boot.sh

awk -f $APPDIR/shared/classes/config.awk $APPDIR/shared/classes $BASEDIR $USER localhost $DBNAME $PORT_DB $DBUSER $DBUSER_PASS
chown -R $USER:$GROUP $APPDIR/shared/*

awk -f $DBDIR/myini.awk $DBDIR/my.ini.org $DBDIR/my.ini $BASEDIR $PORT_DB
chown $USER:$GROUP $DBDIR/my.ini

awk -f $DBDIR/bin/shovel_mysqld.awk $DBDIR/bin/shovel_mysqld.org $DBDIR/bin/shovel_mysqld $BASEDIR $USER
chown $USER:$GROUP $DBDIR/bin/shovel_mysqld
